org.jfree.chart.axis

## Class AxisCollection

- java.lang.Object
- - org.jfree.chart.axis.AxisCollection

-     public class AxisCollection
      extends java.lang.Object

  A collection of axes that have been assigned to the TOP, BOTTOM, LEFT or RIGHT of a chart. This class is used internally by JFreeChart, you won't normally need to use it yourself.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxisCollection()` Creates a new empty collection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Axis axis, RectangleEdge edge)` Adds an axis to the collection.
    `java.util.List` | `getAxesAtBottom()` Returns a list of the axes (if any) that need to be drawn at the bottom of the plot area.
    `java.util.List` | `getAxesAtLeft()` Returns a list of the axes (if any) that need to be drawn at the left of the plot area.
    `java.util.List` | `getAxesAtRight()` Returns a list of the axes (if any) that need to be drawn at the right of the plot area.
    `java.util.List` | `getAxesAtTop()` Returns a list of the axes (if any) that need to be drawn at the top of the plot area.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AxisCollection

          public AxisCollection()

      Creates a new empty collection.

  - ### Method Detail

    - #### getAxesAtTop

          public java.util.List getAxesAtTop()

      Returns a list of the axes (if any) that need to be drawn at the top of the plot area.
      Returns:
        A list of axes.

    - #### getAxesAtBottom

          public java.util.List getAxesAtBottom()

      Returns a list of the axes (if any) that need to be drawn at the bottom of the plot area.
      Returns:
        A list of axes.

    - #### getAxesAtLeft

          public java.util.List getAxesAtLeft()

      Returns a list of the axes (if any) that need to be drawn at the left of the plot area.
      Returns:
        A list of axes.

    - #### getAxesAtRight

          public java.util.List getAxesAtRight()

      Returns a list of the axes (if any) that need to be drawn at the right of the plot area.
      Returns:
        A list of axes.

    - #### add

          public void add(Axis axis,
                          RectangleEdge edge)

      Adds an axis to the collection.
      Parameters:
        `axis` - the axis (`null` not permitted).
        `edge` - the edge of the plot that the axis should be drawn on (`null` not permitted).